CREATE TABLE msc_das_conditions (
    CONDITION_ID           NUMBER       ,
    ACCESS_SET_ID          NUMBER           NOT NULL,
    ENTITY_CONDITION_ID    NUMBER           NOT NULL,
    ENTITY_ID              NUMBER           NOT NULL,
    HIERARCHY_ID           NUMBER       ,
    LEVEL_ID               NUMBER       ,
    WRITE_FLAG             NUMBER       ,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    ATTRIBUTE_CATEGORY     VARCHAR2(120),
    ATTRIBUTE1             VARCHAR2(600),
    ATTRIBUTE2             VARCHAR2(600),
    ATTRIBUTE3             VARCHAR2(600),
    ATTRIBUTE4             VARCHAR2(600),
    ATTRIBUTE5             VARCHAR2(600),
    ATTRIBUTE6             VARCHAR2(600),
    ATTRIBUTE7             VARCHAR2(600),
    ATTRIBUTE8             VARCHAR2(600),
    ATTRIBUTE9             VARCHAR2(600),
    ATTRIBUTE10            VARCHAR2(600),
    ATTRIBUTE11            VARCHAR2(600),
    ATTRIBUTE12            VARCHAR2(600),
    ATTRIBUTE13            VARCHAR2(600),
    ATTRIBUTE14            VARCHAR2(600),
    ATTRIBUTE15            VARCHAR2(600),
    ATTRIBUTE_NUMBER1      NUMBER       ,
    ATTRIBUTE_NUMBER2      NUMBER       ,
    ATTRIBUTE_NUMBER3      NUMBER       ,
    ATTRIBUTE_NUMBER4      NUMBER       ,
    ATTRIBUTE_NUMBER5      NUMBER       ,
    ATTRIBUTE_DATE1        DATE         ,
    ATTRIBUTE_DATE2        DATE         ,
    ATTRIBUTE_DATE3        DATE         ,
    ATTRIBUTE_DATE4        DATE         ,
    ATTRIBUTE_DATE5        DATE         ,
    CONDITION_ID           NUMBER       ,
    ACCESS_SET_ID          NUMBER           NOT NULL,
    ENTITY_CONDITION_ID    NUMBER           NOT NULL,
    ENTITY_ID              NUMBER           NOT NULL,
    HIERARCHY_ID           NUMBER       ,
    LEVEL_ID               NUMBER       ,
    WRITE_FLAG             NUMBER       ,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    ATTRIBUTE_CATEGORY     VARCHAR2(120),
    ATTRIBUTE1             VARCHAR2(600),
    ATTRIBUTE2             VARCHAR2(600),
    ATTRIBUTE3             VARCHAR2(600),
    ATTRIBUTE4             VARCHAR2(600),
    ATTRIBUTE5             VARCHAR2(600),
    ATTRIBUTE6             VARCHAR2(600),
    ATTRIBUTE7             VARCHAR2(600),
    ATTRIBUTE8             VARCHAR2(600),
    ATTRIBUTE9             VARCHAR2(600),
    ATTRIBUTE10            VARCHAR2(600),
    ATTRIBUTE11            VARCHAR2(600),
    ATTRIBUTE12            VARCHAR2(600),
    ATTRIBUTE13            VARCHAR2(600),
    ATTRIBUTE14            VARCHAR2(600),
    ATTRIBUTE15            VARCHAR2(600),
    ATTRIBUTE_NUMBER1      NUMBER       ,
    ATTRIBUTE_NUMBER2      NUMBER       ,
    ATTRIBUTE_NUMBER3      NUMBER       ,
    ATTRIBUTE_NUMBER4      NUMBER       ,
    ATTRIBUTE_NUMBER5      NUMBER       ,
    ATTRIBUTE_DATE1        DATE         ,
    ATTRIBUTE_DATE2        DATE         ,
    ATTRIBUTE_DATE3        DATE         ,
    ATTRIBUTE_DATE4        DATE         ,
    ATTRIBUTE_DATE5        DATE         ,
    CONSTRAINT pk_msc_das_conditions PRIMARY KEY (CONDITION_ID, CONDITION_ID)
);
